/*
 * 03/23/2003
 *
 * PluginDesc.java - Represents a plugin which can be downloaded.
 * Copyright (C) 2003 Paolo Giarrusso
 * blaisorblade_work@yahoo.it
 * www.jext.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.jext.misc;

import java.net.URL;
//import java.io.*;
import java.util.Date;//maybe to change.

public class PluginDesc {
  private URL srcUrl, binUrl;
  private int srcSize, binSize;
  private String desc;
  private String name;
  private String displayName;
  private String release;
  //maybe an additional fields with the jar name to check if it is already installed?

  //optional fields.
  private String[] deps;
  //private Date releaseDate;

  public PluginDesc() {}

  public PluginDesc(String _name, String _release, String _displayName) {
    name = _name;
    release = _release;
    displayName = _displayName;
  }

  /*public PluginDesc(String _name, String _release, String _desc, URL _url) {
    name = _name;
    release = _release;
    desc = _desc;
    url = _url;
  }*/

  public void setName(String _name) {
    name = _name;
  }

  public void setDisplayName(String _displayName) {
    displayName = _displayName;
  }

  public void setRelease(String _release) {
    release = _release;
  }

  public void setDesc(String _desc) {
    desc = _desc;
  }

  public void setSrcUrl(URL _srcUrl, int _size) {
    srcUrl = _srcUrl;
    srcSize = _size;
  }

  public void setBinUrl(URL _binUrl, int _size) {
    binUrl = _binUrl;
    binSize = _size;
  }

  public URL getSrcUrl() {
    return srcUrl;
  }

  public URL getBinUrl() {
    return binUrl;
  }

  public String getDisplayName() {
    return displayName;
  }

  public String getName() {
    return name;
  }

  public String getDesc() {
    return desc;
  }

  public String getRelease() {
    return release;
  }
}
